(in-package #:cl-matrix)

(defparameter *running-server* nil)

(defun server-start ()
  (if *running-server*
      (log-info "server already running")
      (progn 
	(setq *running-server*
	      (clack:clackup 'router :server :woo))
	(log-info "server started"))))

(defun server-stop ()
  (if *running-server*
      (progn
	(clack:stop *running-server*)
	(log-info "server shutdown"))
      (log-info "no running server to shutdown"))
  (setq *running-server* nil))

(defun server-restart ()
  (server-stop)
  (server-start))
